View Issue Details

IDProjectCategoryView StatusLast Update
0013886LazarusIDEpublic2009-09-26 12:27
ReporterMartin Friebe Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0013886: form designer / show border spacing
Descriptiongo to options => environment => form editor
Check "Show border spacing" (in the grid section)

Put a button on a form, and add borderspacing.

A red outline of the borderspacing is/should be drawn

- it is drawn whenever you click/select the form.
- it is not drawn/updated if you move the button, or change the borderspacing in the OI
TagsNo tags attached.
Fixed in Revision21862,21866,21875
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2009-09-25 18:17

manager   ~0030973

Please test and close if ok.

Martin Friebe

2009-09-25 19:52

manager   ~0030978

much better. Small issue left:

When dragging aroung a TLabel, traces of the red border are left all over the form. they are removed when the label is released from dragging.

This happens with "reduced designer painting" on or off equally.
(tested on win/vista)

Paul Ishenin

2009-09-26 05:27

manager   ~0030985

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-06-01 12:37 Martin Friebe New Issue
2009-06-01 12:37 Martin Friebe LazTarget => -
2009-06-01 12:37 Martin Friebe Widgetset => Win32
2009-06-01 12:37 Martin Friebe Summary form designer / show borde4r spacing => form designer / show border spacing
2009-06-01 12:37 Martin Friebe Description Updated
2009-06-01 22:38 Vincent Snijders LazTarget - => 1.0
2009-06-01 22:38 Vincent Snijders Status new => acknowledged
2009-06-01 22:38 Vincent Snijders Target Version => 1.0.0
2009-09-25 18:17 Paul Ishenin Fixed in Revision => 21862,21866
2009-09-25 18:17 Paul Ishenin Status acknowledged => resolved
2009-09-25 18:17 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-09-25 18:17 Paul Ishenin Resolution open => fixed
2009-09-25 18:17 Paul Ishenin Assigned To => Paul Ishenin
2009-09-25 18:17 Paul Ishenin Note Added: 0030973
2009-09-25 19:52 Martin Friebe Status resolved => assigned
2009-09-25 19:52 Martin Friebe Resolution fixed => reopened
2009-09-25 19:52 Martin Friebe Note Added: 0030978
2009-09-26 05:27 Paul Ishenin Fixed in Revision 21862,21866 => 21862,21866,21875
2009-09-26 05:27 Paul Ishenin Status assigned => resolved
2009-09-26 05:27 Paul Ishenin Resolution reopened => fixed
2009-09-26 05:27 Paul Ishenin Note Added: 0030985
2009-09-26 12:27 Martin Friebe Status resolved => closed